GLM 5.1
GLM-5.1, the successor to GLM-5, is a large language model developed by Z.ai, featuring significantly enhanced reasoning capabilities, improved instruction following, and support for multiple languages. Supports large context windows for processing extensive text and detailed analysis with fast inference speed.
Input / output
$1.54 / $4.84
per 1M tokens
Context
200K
80K max output
Reasoning
none, low, medium, high
default low
Cached input
$0.286
81% off input
Modalities
Text
out: text
Pricing
USD per 1M tokensInput
$1.54
Cached input
$0.286
Output incl. reasoning
$4.84
| Similar models | Input | Output |
|---|---|---|
| GLM 5.1 | $1.54 | $4.84 |
| DeepSeek V4 Pro | $1.65 | $3.30 |
| DeepSeek V4 Pro 0813 | $1.65 | $4.95 |
| Grok 4.3 | $1.42 | $2.83 |
| Muse Spark Open | $1.56 | $5.31 |
Prompt caching is automatic; see Prompt caching.
Specs
- Model ID
zai-org-glm-5-1- Endpoint
POST /api/v1/chat/completions- Context window
- 200,000 tokens
- Max output
- 80,000 tokens
- Reasoning effort
reasoning_effort: none | low | medium | high· default low · guide- Served precision
- FP8
- Added
- Apr 7, 2026
- Weights
- Open
Capabilities
Modalities
- Text
- Input and output
- Image
- Not supported
- Audio
- Not supported
- Video
- Not supported
Features
- Streaming (SSE)
- Supported
- Function calling
- Supported
- Structured output (json_schema)
- Supported
- Reasoning effort
- none, low, medium, high
- Prompt caching
- Supported
- Web search
- venice_parameters
- X search
- Not supported
- Log probabilities
- Not supported
- Fine-tuning
- Not supported
- Image generation
- Not supported
POST
/api/v1/chat/completionsRecommendedcurl https://api.venice.ai/api/v1/chat/completions \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "zai-org-glm-5-1",
"messages": [{ "role": "user", "content": "Explain TEE attestation in two sentences." }],
"reasoning_effort": "low"
}'Privacy
Tier 1
Anonymized
Included
Tier 2 · this model
Private
Zero data retention, enforced by contract. Prompts and outputs aren’t stored.
Tier 3
TEE
Not available
Tier 4
End-to-end encrypted
Not available